<template>
    <div class="white-block">
        <div class="row">
            <div class="padding">
                <h3>Персональный юрист
                    <ui-inline-help>
                    Сертификат "Персональный юрист" позволяет круглосуточно (24 часа в сутки, 7 дней в неделю, 365 дней в году) получать правовое решение, а не просто консультацию, и экстренную помощь от экспертов в области права.
                    </ui-inline-help>
                </h3>

            </div>
        </div>
        <hr>
        <div class="padding ui-checkbox">
            <ui-checkbox v-model="checked"></ui-checkbox>
            <p style="font-size: 14px;cursor: pointer;" @click="checked = !checked">
                <!--Юридическая защита на все случаи жизни за {{data.sum}} руб. на {{data.period}} {{$helpers.plural(data.period, ['месяц', 'месяца', 'месяцев'])}}.-->
                <!--Вы сможете отстоять свои права и при этом сэкономить деньги, время и нервы. В любое время дня и ночи Вы получите квалифицированную юридическую помощь.-->
                Юридическая защита на все случаи жизни на 1 месяц. Вы сможете отстоять свои права и при этом сэкономить деньги, время и нервы. В любое время дня и ночи Вы получите квалифицированную юридическую помощь.<br>
                Стоимость 200 ₽.
                <a href="https://static.webbankir.com/public/docs/legal_policy.pdf" target="_blank" style="display: block;" >Правила действия сертификата</a>
            </p>
        </div>
    </div>
</template>

<script>
  export default {
    name: 'block-legal',
    props: {
      data: {
        type: Object,
        required: true
      },
      legal: {
        type: Boolean,
        required: true
      }
    },
    created () {
      console.log('legal', this.legal);
      this.checked = this.legal;
    },
    data () {
      return {
        checked: false
      }
    },
    watch: {
      checked(state) {
        this.$emit('input', state)
        this.$emit('changeLegalState', state)
      },
      legal(state) {
        this.checked = state
      }
    },
    methods: {
      openRules () {

      }
    }
  }
</script>

<style scoped>
    p, h3 {
        display: inline-block;
    }
</style>
